/*
 * @Author: WuXiangNan
 * @Date: 2021-03-04 16:30:58
 * @LastEditTime: 2021-03-05 09:28:11
 * @LastEditors: WuXiangNan
 * @Description: 车辆管理
 */
import 'package:flutter/material.dart';
import 'package:wisdom_cli/wisdom_cli.dart';
import './list_item.dart';

class CarManagePage extends StatelessWidget {
  const CarManagePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return _PageView();
  }
}

class _PageView extends StatefulWidget {
  _PageView({Key? key}) : super(key: key);

  @override
  __PageViewState createState() => __PageViewState();
}

class __PageViewState extends State<_PageView> {
  @override
  Widget build(BuildContext context) {
    return Wisdom.column(
      children: [
        WSearch(
          hintText: '请输入车辆名称',
        ),
        WisScrollView(
          slivers: [
            WisSliverList.childBuilder(
              childCount: 3,
              builder: (_, i) {
                return InkWell(
                  child: CarListItem(),
                );
              },
            )
          ],
        ).asExpanded(),
      ],
    );
  }
}
